## pykickstart 1.77

=== Makefile ===
PKGNAME=pykickstart
VERSION=$(shell awk '/Version:/ { print $$2 }' $(PKGNAME).spec)
RELEASE=$(shell awk '/Release:/ { print $$2 }' $(PKGNAME).spec | sed -e 's|%.*$$||g')
TAG=r$(VERSION)-$(RELEASE)

MANDIR=/usr/share/man
PREFIX=/usr

TESTSUITE:=tests/baseclass.py

PYCHECKEROPTS=--no-override --no-argsused --no-miximport --maxargs 0 --no-local -\# 0 --only -Q

default: all

all:
	$(MAKE) -C po

docs:
	mkdir -p docs
	curl -A "pykickstart-build" -o docs/kickstart-docs.txt "http://fedoraproject.org/w/index.php?title=Anaconda/Kickstart&action=raw"
	curl -A "programmers-guide" -o docs/programmers-guide "http://fedoraproject.org/w/index.php?title=PykickstartIntro&action=raw"

check:
	@echo "*** Running pychecker to verify source ***"
	PYTHONPATH=. pychecker $(PYCHECKEROPTS) pykickstart/*.py pykickstart/commands/*.py pykickstart/handlers/*.py

test:
	@echo "*** Running unittests ***"
	PYTHONPATH=. python $(TESTSUITE) -v

clean:
	-rm *.tar.gz pykickstart/*.pyc pykickstart/commands/*.pyc pykickstart/handlers/*.pyc tests/*.pyc tests/commands/*.pyc docs/* ChangeLog
	$(MAKE) -C po clean
	python setup.py -q clean --all

install: all
	python setup.py install --root=$(DESTDIR)
	$(MAKE) -C po install

ChangeLog:
	(GIT_DIR=.git git log > .changelog.tmp && mv .changelog.tmp ChangeLog; rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)

tag:
	git tag -a -m "Tag as $(TAG)" -f $(TAG)
	@echo "Tagged as $(TAG)"

archive: check test tag docs
	@rm -f ChangeLog
	@make ChangeLog
	git archive --format=tar --prefix=$(PKGNAME)-$(VERSION)/ $(TAG) > $(PKGNAME)-$(VERSION).tar
	mkdir -p $(PKGNAME)-$(VERSION)/docs/
	cp docs/kickstart-docs.txt $(PKGNAME)-$(VERSION)/docs/
	cp docs/programmers-guide $(PKGNAME)-$(VERSION)/docs/
	cp ChangeLog $(PKGNAME)-$(VERSION)/
	tar -rf $(PKGNAME)-$(VERSION).tar $(PKGNAME)-$(VERSION)
	gzip -9 $(PKGNAME)-$(VERSION).tar
	rm -rf $(PKGNAME)-$(VERSION)
	@echo "The archive is in $(PKGNAME)-$(VERSION).tar.gz"

local: docs
	@rm -f ChangeLog
	@make ChangeLog
	@rm -rf $(PKGNAME)-$(VERSION).tar.gz
	@rm -rf /tmp/$(PKGNAME)-$(VERSION) /tmp/$(PKGNAME)
	@dir=$$PWD; cp -a $$dir /tmp/$(PKGNAME)-$(VERSION)
	@cd /tmp/$(PKGNAME)-$(VERSION) ; python setup.py -q sdist
	@cp /tmp/$(PKGNAME)-$(VERSION)/dist/$(PKGNAME)-$(VERSION).tar.gz .
	@rm -rf /tmp/$(PKGNAME)-$(VERSION)
	@echo "The archive is in $(PKGNAME)-$(VERSION).tar.gz"

rpmlog:
	@git log --pretty="format:- %s (%ae)" $(TAG).. |sed -e 's/@.*)/)/'
	@echo

bumpver:
	@NEWSUBVER=$$((`echo $(VERSION) |cut -d . -f 2` + 1)) ; \
	NEWVERSION=`echo $(VERSION).$$NEWSUBVER |cut -d . -f 1,3` ; \
	DATELINE="* `date "+%a %b %d %Y"` `git config user.name` <`git config user.email`> - $$NEWVERSION-1"  ; \
	cl=`grep -n %changelog pykickstart.spec |cut -d : -f 1` ; \
	tail --lines=+$$(($$cl + 1)) pykickstart.spec > speclog ; \
	(head -n $$cl pykickstart.spec ; echo "$$DATELINE" ; make --quiet rpmlog 2>/dev/null ; echo ""; cat speclog) > pykickstart.spec.new ; \
	mv pykickstart.spec.new pykickstart.spec ; rm -f speclog ; \
	sed -i "s/Version: $(VERSION)/Version: $$NEWVERSION/" pykickstart.spec ; \
	sed -i "s/version='$(VERSION)'/version='$$NEWVERSION'/" setup.py

.PHONY: check clean install tag archive local docs

## pykickstart 1.75

=== debian/changelog ===
pykickstart (1.75-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules: pass --buildsystem=python_distutils to avoid ftbfs.

 -- Fathi Boudra <fabo@debian.org>  Sun, 27 Jun 2010 09:04:09 +0300

pykickstart (1.74-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules: improve get-orig-source target.

 -- Fathi Boudra <fabo@debian.org>  Fri, 11 Jun 2010 20:50:58 +0300

pykickstart (1.72-2) unstable; urgency=low

  * Add 02_fix_INSTALL_NLS_DIR.diff patch:
    fix RPM_BUILD_ROOT usage on INSTALL_NLS_DIR.
  * Update debian/control:
    - remove curl build dependency. We keep docs and don't want to get files
      from internet.
    - add Provides: pykickstart, package name used by 3rd party repository like
      MeeGo.
    - add kickstart file definition to long description.
  * Update debian/rules: remove override_dh_auto_install target and
    the workaround for RPM_BUILD_ROOT usage.

 -- Fathi Boudra <fabo@debian.org>  Mon, 31 May 2010 13:20:16 +0300

pykickstart (1.72-1) unstable; urgency=low

  * Initial release (Closes: #576531)

 -- Fathi Boudra <fabo@debian.org>  Mon, 24 May 2010 11:32:07 +0300

=== debian/control ===
Source: pykickstart
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@ohmytux.com>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gettext, python (>= 2.3.5-7),
 python-setuptools, python-support (>= 0.90.0), python-urlgrabber
Standards-Version: 3.8.4
Homepage: http://fedoraproject.org/wiki/Pykickstart
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pykickstart/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pykickstart/trunk/

Package: python-pykickstart
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-urlgrabber
Provides: pykickstart
Description: Python library for manipulating kickstart files
 pykickstart is a Python library consisting of a data representation of
 kickstart files, a parser to read file into that representation, and a writer
 to generate kickstart files.
 .
 The kickstart file is a simple text file, containing a list of items,
 each identified by a keyword. The kickstart configuration format is used
 for image configuration and to automate operating system installations.

## pykickstart 1.77

=== debian/changelog ===
pykickstart (1.77-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 25 Jul 2010 09:04:01 +0300

pykickstart (1.76-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: bump Standards-Version to 3.9.0 (no changes
    needed).

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Jul 2010 16:41:22 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Carl Chenet <chaica@ohmytux.com>, Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), gettext, python (>= 2.3.5-7),
  python-setuptools, python-support (>= 0.90.0), python-urlgrabber
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://fedoraproject.org/wiki/Pykickstart
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pykickstart/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pykickstart/trunk/

## pykickstart 1.83

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,6 @@
 PREFIX=/usr
 
 TESTSUITE:=tests/baseclass.py
-
-PYCHECKEROPTS=--no-override --no-argsused --no-miximport --maxargs 0 --no-local -\# 0 --only -Q
 
 default: all
 
@@ -21,8 +19,8 @@
 	curl -A "programmers-guide" -o docs/programmers-guide "http://fedoraproject.org/w/index.php?title=PykickstartIntro&action=raw"
 
 check:
-	@echo "*** Running pychecker to verify source ***"
-	PYTHONPATH=. pychecker $(PYCHECKEROPTS) pykickstart/*.py pykickstart/commands/*.py pykickstart/handlers/*.py
+	@echo "*** Running pylint to verify source ***"
+	PYTHONPATH=. pylint pykickstart/*.py pykickstart/*/*.py --rcfile=/dev/null -i y -r n --disable=C,R --disable=W0141,W0142,W0221,W0401,W0403,W0603,W0611,W0612,W0613,W0614,W0703
 
 test:
 	@echo "*** Running unittests ***"

=== po/Makefile ===
#
# Makefile for the PO files (translation) catalog
#
# $Id$

TOP	 = ../..

# What is this package?
NLSPACKAGE	= pykickstart
POTFILE		= $(NLSPACKAGE).pot
INSTALL		= /usr/bin/install -c
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_DIR	= /usr/bin/install -d

# destination directory
INSTALL_NLS_DIR = $(RPM_BUILD_ROOT)/usr/share/locale

# PO catalog handling
MSGMERGE	= msgmerge -v
XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE) \
		  --add-comments
MSGFMT		= msgfmt --statistics --verbose

# What do we need to do
POFILES		= $(wildcard *.po)
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
PYSRC		= $(wildcard ../pykickstart/*.py)
SRCFILES 	= $(PYSRC) $(wildcard ../tools/ks*)

#default:: clean

all::  update-po $(MOFILES)

$(POTFILE): $(SRCFILES)
	$(XGETTEXT) -L Python --keyword=_ --keyword=N_ $(SRCFILES)
	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv -f $(NLSPACKAGE).po $(POTFILE); \
	fi; \

update-po: Makefile $(POTFILE) refresh-po

refresh-po: Makefile
	for cat in $(POFILES); do \
		lang=`basename $$cat .po`; \
		if $(MSGMERGE) $$lang.po $(POTFILE) > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
	@rm -fv *mo *~ .depend

install: $(MOFILES)
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL_DIR) $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES; \
	    $(INSTALL_DATA) --verbose $$n $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<

.PHONY: missing depend

=== debian/changelog ===
pykickstart (1.83-2) unstable; urgency=medium

  * Team upload.
  * Use canonical URIs for Vcs-* fields.
  * Drop python-support usage in favor of dh_python2.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 31 Aug 2014 13:28:24 -0700

pykickstart (1.83-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: bump Standards-Version to 3.9.2 (no changes
    needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 02 May 2011 10:15:27 +0300

pykickstart (1.82-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: bump Standards-Version to 3.9.1 (no changes
    needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 Feb 2011 12:36:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Carl Chenet <chaica@ohmytux.com>, Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), gettext, python (>= 2.3.5-7),
- python-setuptools, python-support (>= 0.90.0), python-urlgrabber
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), gettext, python (>= 2.6.6-3~),
+ python-setuptools, python-urlgrabber
+Standards-Version: 3.9.5
 Homepage: http://fedoraproject.org/wiki/Pykickstart
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pykickstart/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pykickstart/trunk/
+X-Python-Version: >= 2.6
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pykickstart/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pykickstart/trunk/
 
 Package: python-pykickstart
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION ?= $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=python_distutils --with python2

get-orig-source:
	wget http://download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/pykickstart-${UPSTREAM_VERSION}-1.fc14.src.rpm \
	&& rpm2cpio pykickstart-${UPSTREAM_VERSION}-1.fc14.src.rpm |cpio -id \
	&& mv -f pykickstart-${UPSTREAM_VERSION}.tar.gz pykickstart_${UPSTREAM_VERSION}.orig.tar.gz \
	&& rm -f pykickstart-${UPSTREAM_VERSION}-1.fc14.src.rpm pykickstart.spec

=== debian/watch ===
version=3
http://download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/pykickstart-(.*)-1\.fc14\.src\.rpm
